{% extends 'x15-bl.jinja2' %}
{% set adb_serial_number = '15008016610c0122' %}
{# board_id is id of serial cable #}
{% set static_info = [{'board_id': 'A601ZK5X'}] %}
{% set fastboot_serial_number = '15008016610c0122' %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command off --port 9',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 3 -s off',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 4 -s off',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 5 -s off',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 6 -s off'] %}
{# We use the ethernet controlled relay to emulate the power button press #}
{% set hard_reset_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command off --port 9',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 4 -s onoff',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 5 -s onoff',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 6 -s onoff',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 3 -s offon',
'/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command on --port 9'] %}
{% set connection_list = ['uart0'] %}
{% set connection_commands = {'uart0': 'telnet lngmaster 7340'} %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set power_on_command = ['/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 3 -s on',
'/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command on --port 9'] %}
{% set flash_cmds_order = ['update',
'ptable',
'partition',
'hyp',
'modem',
'rpm',
'sbl1',
'sbl2',
'sec',
'tz',
'aboot',
'boot',
'rootfs',
'vendor',
'system',
'cache',
'userdata'] %}
{% set recovery_mode_command = [
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 3 -s on',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 4 -s on',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 5 -s on',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 6 -s on'] %}
{% set recovery_exit_command = [
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 3 -s off',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 4 -s off',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 5 -s off',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 6 -s off'] %}

{# flash SD card with SDMux #}
{% set flasher_deploy_commands = ['/usr/local/bin/sd-mux-ctrl -e 000000000326 --ts',
                                  'sleep 1',
                                  '/usr/local/bin/sd-mux-ctrl -e 000000000326 --dut',
                                  'sleep 1',
                                  '/usr/local/bin/sd-mux-ctrl -e 000000000326 --ts',
                                  'sleep 1',
                                  'dd if={IMAGE} of=/dev/disk/by-id/usb-LinuxAut_sdmux_HS-SD_MMC_000000000326-0:0 bs=1M conv=nocreat oflag=sync',
                                  '/usr/local/bin/sd-mux-ctrl -e 000000000326 --dut'] %}


{% set sync_to_lava = {'device_type': 'x15-bl', 'worker': 'lngmaster.lnglab', 'tags': [], 'aliases': []} %}